Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000168Scorched3DClientpublic2012-05-08 01:032013-08-02 15:01
ReporterKangabunny 
Assigned Togcamp 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version43.4 
Summary0000168: Projectile Function Upgrade
Description-<ignoreshield>true</ignoreshield> will ignore shield boundry and effects. EX) rollers or projectile will go right through a bouncy shield. Will ignore mags pull. Will go through solid. Does not affect shield in anyway, just ghosts thru them.

-<nolandscapecollision>true</nolandscapecollision> (projectiles wont collide with the landscape. Similar to watercollisiontag but applies to the terrain.

-<timecancel>3</timecancel> will cause projectiles to dud if they havent collided by this time,cancels their actions, explosions, and sounds. Its the vice versa of the timedud.

-<notankcollision/> Projectiles and rollers will not collide with player tanks.



This will fix some prominent issues players currently have with AWE mod.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000198)
Kangabunny (reporter)
2012-05-10 23:01

Also a <nomodelcollision/> tag, avoids trees and building ect..

Kanga
(0000212)
gcamp (administrator)
2012-06-05 23:19

Fixed/added in version 43.4.
(0000237)
gcamp (administrator)
2013-08-01 16:20

no collision track is defined on the accessories as "nocameratrack". So setting nocameratrack to true on explosions or weapons will mean the UI will not track the projectils.
 
no landscape collision is defined on the accessories as "landscapecollision". So setting landscapecollision to false on rollers or projectiles will mean it wont collide with the landscape.
 
ignore shield is defined on the accessories as "shieldcollision". So setting shieldcollision to false on rollers or projectiles will mean it wont collide with any shields.

I can't see support for timecancel, notankcollision or nomodelcollision I must have missed those.
(0000238)
gcamp (administrator)
2013-08-02 15:01

timecancel is defined on the roller and projectile weapons as "timeout". So setting the timeout to be greater than 0 will cause the roller or projectile to dud if this time passes before hitting something.

notankcollision is defined on the roller and projectile weapons as "tankcollision". So setting notankcollision to false will mean it wont collide with tanks.

- Issue History
Date Modified Username Field Change
2012-05-08 01:03 Kangabunny New Issue
2012-05-10 23:01 Kangabunny Note Added: 0000198
2012-06-05 23:19 gcamp Note Added: 0000212
2012-06-05 23:19 gcamp Status new => resolved
2012-06-05 23:19 gcamp Fixed in Version => 43.4
2012-06-05 23:19 gcamp Resolution open => fixed
2012-06-05 23:19 gcamp Assigned To => gcamp
2013-08-01 16:20 gcamp Note Added: 0000237
2013-08-02 15:01 gcamp Note Added: 0000238


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker